Question-and-Answer Resource for the Building Energy Modeling Community
Get s tarted with the Help page
Ask Your Question
2

Running PAT 3.2.X on AWS Cloud Service

asked 2021-07-21 09:54:44 -0500

Kushan_26 gravatar image

updated 2021-07-28 10:45:11 -0500

Hi all,

I'm relatively new to the PAT tool and trying to use algorithmic mode with AWS service. I created a model with OpenStudio 3.2.0 and tried to use PAT 3.2.0. However, there's a deprecation warning saying that PAT will not include the Amazon Cloud Remote Server option after PAT 3.0.0. But, I do see an AMI for OpenStudio version 3.2.0, yet I cannot start an AWS cloud service using PAT.

I tried PAT version 3.0.0 and successfully connected to AWS cloud service. But, here's the problem, OpenStudio 3.2.0 will not support PAT 3.0.0 and is not backwards compatible. Therefore, I am at a dead-end on how to move forward with a PAT algorithmic analysis.

Does anyone knows how to connect to AWS cloud service using PAT 3.2.X or convert OpenStudio 3.2. models to 3.0.?

Developers tab log: image description

Server settings: image description Thank you!

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
3

answered 2021-07-26 10:32:17 -0500

PAT 3.2 still has the ability to launch an AWS cluster in the GUI, however it will be removed in the next release and replaced with the HELM capabilities. This will allow users to start clusters on Google, Microsoft and Amazon and then "connect to existing server" in PAT.

For your unable to start 3.2 issue, please post the log from the developers tab in the PAT GUI and the log files in your project directory.

edit flag offensive delete link more

Comments

I attached the developer tab screenshot in the original post. I checked the project directory/logs folder and there were no log files in it. Is there a particular log file that I should look for?

Kushan_26 gravatar image Kushan_26  ( 2021-07-26 16:27:53 -0500 )edit

try the 3.2.1 release and see if you get the same behavior. https://github.com/NREL/OpenStudio-PA...

BrianLBall gravatar image BrianLBall  ( 2021-07-26 17:01:21 -0500 )edit

I did try 3.2.1 and get the same behaviour and errors. I've also attached the server settings screenshot in the initial post. Can the issue occur due to the Ruby version? I have Ruby 2.7.3 installed at the moment.

Kushan_26 gravatar image Kushan_26  ( 2021-07-28 09:05:41 -0500 )edit

PAT comes with its own ruby. I recommend using the HELM repo to start the AWS cluster and then just use PAT to "connect to existing server" and use the IP address of the server node.

BrianLBall gravatar image BrianLBall  ( 2021-07-28 14:23:53 -0500 )edit
0

answered 2021-07-21 16:30:18 -0500

sashadf1 gravatar image

I have some experience with OpenStudio 2.9.0 and use a PAT.exe file located in my directory C:\openstudio-2.9.0\pat\ParametricAnalysisTool.exe. I would try to backwards convert your OSM model files to OpenStudio 3.0.0, since you mentioned you were able to connect to AWS using PAT 3.0.0. Backwards conversion of osm seed model files seems easier than trying to connect to AWS cloud service using PAT 3.2.X.

For the version of your openstudio model, are you referring to your seed model (Model To Base Inputs On)?

Build Existing Model Measure with EmptySeedModel.osm

Normally, algorithmic mode produces an osm model file "automatically". Measures are applied to an osm seed model according to the PAT workflow (OpenStudio, EnergyPlus, and/or Reporting Measures, in correct order) to produce the modified osm(s) representing a design option or range of design options. These measure-modified osm(s) are then pushed to the cloud and run using EnergyPlus.

When you download your results, at least for PAT 2.9.0, these measure-modified osm(s) should appear in an output directory. A data_point.zip file is produced for each design option (osm) modeled, and the measure-modified osm for that data_point is in the respective data_point.zip file.

In practice, I have only ever specified one osm seed model used as "Model To Base Inputs On" for all my PAT measures.

edit flag offensive delete link more

Comments

Do know if tools or a ruby script to convert new version OSM files to older versions? I've checked release notes and they do not explicitly mention the changes that would not support older versions.

I am talking about the "Default Seed Model" input file. I have not use the Measure you have mentioned above. I can define a default seed model (Baseline model) with PAT 3.0. and upper. PAT will use that model to apply measures according to the workflow. I'm not sure if this is a difference in versions or if I'm doing something wrong.

Kushan_26 gravatar image Kushan_26  ( 2021-07-22 09:32:43 -0500 )edit

Based on your response, it seems like your "Default Seed Model" input file is the equivalent of my "Model to Base Inputs On." The difference in nomenclature is likely due to PAT version difference.

sashadf1 gravatar image sashadf1  ( 2021-07-26 13:03:48 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

 

Question Tools

1 follower

Stats

Asked: 2021-07-21 09:54:44 -0500

Seen: 81 times

Last updated: 5 hours ago